
JIRA - Bug # 291: Uncaught Exception Project Key can not be empty in ./__apps/jira/library/JIRA/class.SWIFT_JIRABridge.php:571

Status: Resolved Priority: Normal

Author: Alessandro G. Moraes Category:

Created: 10 Sep 2013 Assignee:

Updated: 12 Nov 2013 Due date:

Subject: Uncaught Exception Project Key can not be empty in ./__apps/jira/library/JIRA/class.SWIFT_JIRABridge.php:571

Description: I updated my Kayako to version 4.60.


After that I installed Jira Bridge Plugin, version 1.0.


Realized all setup procedures but when I try to create a new ISSUE an exception is displayed on the 

screen:





*Uncaught Exception


Project Key can not be empty in ./__apps/jira/library/JIRA/class.SWIFT_JIRABridge.php:571*





#0 File: ./__apps/jira/staff/class.View_Bug.php Line: 153 Function: 

SWIFT_JIRABridge->GetIssueTypesByProject(NULL)





148 		// Use the first entry of the projects drop down otherwise


149 		if ((empty($_defaultProject) || $_defaultProject == $_SWIFT->Language->Get('bj_noproject')) && 

_is_array($_projectsOptionsContainer)) {


150 			$_defaultProject = $_projectsOptionsContainer[0]['value'];


151 		}


152 


153 		$_issueTypeContainer = $_JIRABridge->GetIssueTypesByProject($_defaultProject);


154 


155 		if (_is_array($_issueTypeContainer)) {


156 			foreach ($_issueTypeContainer as $_IssueType) {


157 				// Ignore sub-task issue type as we currently dont support it


158 				if (strtolower($_IssueType->name) == 'sub-task') {








#1 File: ./__apps/jira/staff/class.Controller_Bug.php Line: 90 Function: 

View_Bug->RenderExportForm(integer 876)





85 		$_SWIFT = SWIFT::GetInstance();


86 		$_SWIFT->Language->LoadApp('jira', 'jira');


87 


88 		$this->UserInterface->Header($this->Language->Get('settings_bj') . ' -  ' . 

$this->Language->Get('exportToJIRA'), self::MENU_ID, self::NAVIGATION_ID);


89 


90 		$this->View->RenderExportForm($_ticketID);


91 


92 		$this->UserInterface->Footer();


93 		return true;


94 	}


95 








#2 File: Line: Function: Controller_Bug->CreateIssue(876)





#3 File: ./__swift/library/MVC/class.SWIFT_Controller.php Line: 369 Function: call_user_func_array(((object) 

Controller_Bug, CreateIssue), (876))
364 			$_argumentsContainer = array($_SWIFT_RouterObject->GetArguments($_fetchRESTArguments));


365 		} else {


366 			$_argumentsContainer = $_SWIFT_RouterObject->GetArguments($_fetchRESTArguments);


367 		}


368 


369 		call_user_func_array(array(self::$_controllerObjectCache[$_controllerClassName], 

$_controllerActionName), $_argumentsContainer);


370 


371 		return self::$_controllerObjectCache[$_controllerClassName];


372 	}


373 


374 	/**








#4 File: ./__swift/library/App/class.SWIFT_App.php Line: 176 Function: SWIFT_Controller::Load((object) 

SWIFT_Interface, (object) SWIFT_App, (object) SWIFT_Router, FALSE)


#5 File: ./__swift/library/class.SWIFT.php Line: 16 Function: SWIFT_App->ExecuteController((object) 

SWIFT_Router)


#6 File: ./__swift/library/class.SWIFT.php Line: 16 Function: SWIFT->Initialize()


#7 File: ./__swift/swift.php Line: 16 Function: SWIFT::GetInstance()


#8 File: ./staff/index.php Line: 29 Function: require_once(./__swift/swift.php) 








Copy to clipboard:


Uncaught Exception Project Key can not be empty in 

./__apps/jira/library/JIRA/class.SWIFT_JIRABridge.php:571 

===================================================================================

============================================== #0 ./__apps/jira/staff/class.View_Bug.php(153): 

SWIFT_JIRABridge->GetIssueTypesByProject(NULL) #1 ./__apps/jira/staff/class.Controller_Bug.php(90): 

View_Bug->RenderExportForm(876) #2 [internal function]: Controller_Bug->CreateIssue('876') #3 

./__swift/library/MVC/class.SWIFT_Controller.php(369): call_user_func_array(Array, Array) #4 

./__swift/library/App/class.SWIFT_App.php(176): SWIFT_Controller::Load(Object(SWIFT_Interface), 

Object(SWIFT_App), Object(SWIFT_Router), false) #5 ./__swift/library/class.SWIFT.php(16): 

SWIFT_App->ExecuteController(Object(SWIFT_Router)) #6 ./__swift/library/class.SWIFT.php(16): 

SWIFT->Initialize() #7 ./__swift/swift.php(16): SWIFT::GetInstance() #8 ./staff/index.php(29): 

require_once('/home/softf053/...') #9 {main}

History

11/04/2013 03:29 am - Torbjörn Schön

Whats the status on this issue?


I get the same error in our test environment.

11/05/2013 01:13 am - Torbjörn Schön

Uncaught Exception


Project Key  can not be empty in .\__apps\jira\library\JIRA\class.SWIFT_JIRABridge.php:567


===================================================================================================================

==============





#0 .\__apps\jira\staff\class.View_Bug.php(153): SWIFT_JIRABridge->GetIssueTypesByProject(NULL)


#1 .\__apps\jira\staff\class.Controller_Bug.php(90): View_Bug->RenderExportForm(19)


#2 [internal function]: Controller_Bug->CreateIssue('19')


#3 .\__swift\library\MVC\class.SWIFT_Controller.php(369): call_user_func_array(Array, Array)
#4 .\__swift\library\App\class.SWIFT_App.php(176): SWIFT_Controller::Load(Object(SWIFT_Interface), Object(SWIFT_App_jira), 

Object(SWIFT_Router), false)


#5 .\__swift\library\class.SWIFT.php(16): SWIFT_App->ExecuteController(Object(SWIFT_Router))


#6 .\__swift\library\class.SWIFT.php(16): SWIFT->Initialize()


#7 .\__swift\swift.php(16): SWIFT::GetInstance()


#8 .\staff\index.php(29): require_once('E:\inetpub\wwwr...')


#9 {main}

11/12/2013 05:40 am - Amarjeet Kaur

Hi  Torbjörn,





This issue has been handled in new build.





You are requested to update the build.





Thank you,


Amarjeet Kaur

11/12/2013 05:40 am - Amarjeet Kaur

- Status changed from New to Resolved
